using System;
using System.Windows.Forms;

namespace Status_Strip
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            toolStripProgressBar1.Step = 10;
            toolStripProgressBar1.Value = 0;
            toolStripProgressBar1.Minimum = 0;
            toolStripProgressBar1.Maximum = 100;
            //----------------------------
            timer1.Interval = 1000;
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            toolStripProgressBar1.Value += toolStripProgressBar1.Step;
            //----------------------------
            if (toolStripProgressBar1.Value == 100)
                timer1.Stop();
        }
    }
}